Bug 592825 - syntax mistake in /etc/bashrc pathmunge
syntax mistake in /etc/bashrc pathmunge
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: setup (Show other bugs)
All Linux
low Severity medium
: rc
: ---
Assigned To: Ondrej Vasik
Ondrej Moriš
Depends On: 592799
  Show dependency treegraph
Reported: 2010-05-17 01:47 EDT by Ondrej Vasik
Modified: 2010-11-10 16:37 EST (History)
5 users (show)

See Also:
Fixed In Version: setup-2.8.14-7.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 592799
Last Closed: 2010-11-10 16:37:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ondrej Vasik 2010-05-17 01:47:17 EDT
+++ This bug was initially created as a clone of Bug #592799 +++

Created an attachment (id=414438)
fix it

Description of problem:
pathmunch in /etc/bashrc quotes the regex. Current versions of bash require the regex to be unquoted (just like glob-matching), so the regex will never match. Note the var $1 should still be quoted to prevent interpretation of regex chars.

Version-Release number of selected component (if applicable):

Actual results:
$PATH with dups

Expected results:
$PATH without dups

--- Additional comment from ovasik@redhat.com on 2010-05-17 01:46:31 EDT ---

Thanks for report, I see - changed between 3.1 and 3.2 . Will fix that...
Comment 1 RHEL Product and Program Management 2010-05-17 02:05:42 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
Comment 2 Ondrej Vasik 2010-05-19 09:53:53 EDT
Fixed in setup-2.8.14-7.el6 -> MODIFIED
Comment 5 releng-rhel@redhat.com 2010-11-10 16:37:32 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.